Imports Docs.Word



Public Class Textruns_InsertImage
	Friend Shared Function Main1() As Document
		'	Open the document with given name and get first paragraph
		Dim Doc As Document = Document.ReadDoc(Form1.SourceFolder + "Textruns - Images.doc")
		Dim Par As Paragraph = DirectCast(Doc.Sections(0).Nodes(0), Paragraph)

		'	Insert image from file with given name
		Par.InsertImage(Form1.ImagesFolder + "_image.png", 1)

		Return Doc
	End Function
End Class
